Package com.google.protobuf

# Interface DescriptorProtos.OneofDescriptorProtoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.OneofDescriptorProto`, `DescriptorProtos.OneofDescriptorProto.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.OneofDescriptorProtoOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.OneofOptions`
`getOptions()`
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`
`DescriptorProtos.OneofOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasName

boolean hasName()
`optional string name = 1 [json_name = "name"];`

Returns:
  Whether the name field is set.

### getName

String getName()
`optional string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### hasOptions

boolean hasOptions()
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`

Returns:
  Whether the options field is set.

### getOptions

DescriptorProtos.OneofOptions getOptions()
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`

Returns:
  The options.

### getOptionsOrBuilder

DescriptorProtos.OneofOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`